Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  PortletModeException, PortletSecurityException, ReadOnlyException, UnavailableException, ValidatorException, WindowStateException

    public class PortletException

extends Exception

The `PortletException` class defines a general exception that a portlet can throw when it is unable to perform its operation successfully.

See Also
  Serialized Form

Constructor Summary
`PortletException()` Constructs a new portlet exception.
`PortletException(String text)` Constructs a new portlet exception with the given text.
`PortletException(String text, Throwable cause)` Constructs a new portlet exception when the portlet needs to do the following: throw an exception include the "root cause" exception include a description message
`PortletException(Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception.

Method Summary
`Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
`void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` | `printStackTrace(PrintStream out)` Prints the stack trace of this exception to the specified print stream.
`void` | `printStackTrace(PrintWriter out)` Prints the stack trace of this exception to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletException

    public PortletException()

  Constructs a new portlet exception.

### PortletException

    public PortletException(String text)

  Constructs a new portlet exception with the given text. The portlet container may use the text write it to a log.

  Parameters
    `text` - the exception text

### PortletException

    public PortletException(String text,
                            Throwable cause)

  Constructs a new portlet exception when the portlet needs to do the following:
  - throw an exception
  - include the "root cause" exception
  - include a description message

  Parameters
    `text` - the exception text
    `cause` - the root cause

### PortletException

    public PortletException(Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception. The exception's message is based on the localized message of the underlying exception.

  Parameters
    `cause` - the root cause

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream out)

  Prints the stack trace of this exception to the specified print stream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters
    `out` - the `PrintStream` to be used for output

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Prints the stack trace of this exception to the specified print writer.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters
    `out` - the `PrintWriter` to be used for output

### getCause

    public Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this throwable to get thrown.)

  This implementation returns the cause that was supplied via one of the constructors requiring a `Throwable`.

  Overrides:
    `getCause` in class `Throwable`
  Returns
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved